routes/web.php
<?php

use App\Http\Controllers\Web\Admin\ImageController;
use App\Http\Controllers\Web\Admin\UserController;
use App\Http\Controllers\Web\AuthController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::redirect('/', '/admin', 201);

Route::group(['prefix' => 'admin'], function () {
    Route::group(['middleware' => ['guest']], function () {
        Route::post('login',[AuthController::class,'login'])->name('login');
        Route::view('/login','pages.login');
    });

    Route::group(['middleware' => ['auth']], function () {
        Route::view('/', 'index')->name('index');
        Route::view('dashboard', 'index')->name('dashboard');
        Route::resource('users', UserController::class);
        Route::resource('images', ImageController::class);
    });

});

app/Models/Image.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Image extends Model
{
    use HasFactory;

    protected $fillable = [
        'title',
        'path',
        'target_url'
    ];
}

app/Http/Controllers/API/ImageController.php
<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Models\Image;
use Illuminate\Http\Request;

class ImageController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $slider_image = Image::all();
        return sendResponse($slider_image->toArray(),'success',200);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Web/Admin/ImageController.php
<?php

namespace App\Http\Controllers\Web\Admin;

use App\Http\Controllers\Controller;
use App\Models\Image;
use ImageLib;
// use Intervention\Image\Facades\Image;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\File;

class ImageController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $images = Image::all();
        $readonly = true;
        $edit = false;
        return view('pages.images.index',compact('images','readonly','edit'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $edit = false;
        $readonly = false;
        return view('pages.images.edit-add',compact('readonly','edit'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // dd();
        $request->validate([
            'title'=>['required','string'],
            'image' =>'required',
        ]);
        $data = $request->except(['_token', 'image']);

        $image       = $request->file('image');
        $filename    = $image->getClientOriginalName();

        $image_resize = ImageLib::make($image->getRealPath());
        $image_resize->resize(900, 600);
        $image_resize->save(public_path('storage/images/').time().'_'.$filename);

        $data['path'] =  'storage/images/' . $image_resize->basename;
        $image = Image::create($data);
        return redirect()->route('images.index');

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $image = Image::find($id);
        $edit = false;
        $readonly = true;
        return view('pages.images.edit-add',compact('readonly','edit','image'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id = null)
    {
        $image = Image::findOrFail($id);
        $edit = true;
        $readonly = false;
        return view('pages.images.edit-add',compact('image','edit','readonly'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'title'=>['required','string'],
        ]);
        $data = $request->except(['_method','_token']);

        if($request->hasFile('image')){
            $image       = $request->file('image');
            $filename    = $image->getClientOriginalName();

            $image_resize = ImageLib::make($image->getRealPath());
            $image_resize->resize(900, 600);
            $image_resize->save(public_path('storage/images/').time().'_'.$filename);

            $data['path'] =  'storage/images/' . $image_resize->basename;
        }
        $image = Image::findOrFail($id)->update($data);
        return redirect()->route('images.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Image::destroy($id);
        return redirect()->route('images.index');
    }
}

resources/views/pages/images/edit-add.blade.php
@push('plugin-css')
<link href="{{asset('assets/libs/dropify/dropify.min.css')}}" rel="stylesheet" type="text/css" />

@endpush

@push('plugin-js')
<script src="{{asset('assets/libs/dropify/dropify.min.js')}}"></script>
<script>
    $(function(){
        $('.dropify').dropify();
    })
</script>
@endpush

<x-layout.form :title="__('Add Users')">

    <div class="row">
        <div class="col-xl-12">
            <div class="card-box">
                {{-- <h4 class="header-title mt-0 mb-3">Horizontal Form</h4> --}}

                <form class="form-horizontal" user="form" enctype="multipart/form-data" method="POST" action="{{($edit?? false) ?route('images.update',['image'=>$image->id]):  route('images.store') }}" data-parsley-validate novalidate autocomplete="off">
                    @if ($edit)
                        @method('put')
                    @endif
                    @if ($readonly)
                        @method('get')
                    @endif
                    @csrf
                    <div class="form-group row">
                        <div class="col-md-6">
                            <label for="name">{{__('Title')}}*</label>
                            <x-UI.forms.input :readonly=$readonly name="title" :value="old('title',$image['title']??'')" :placeholder="__('Title')" />
                        </div>
                        <div class="form-group col-md-6">
                            <label for="username">{{__('Image')}}*</label>
                            <input type="file" {{$readonly ? 'disabled':''}}  class="dropify" name="image" data-default-file="{{isset($image['path'])? asset($image['path']) : ''}}" {{!$edit? 'required': ''}} />
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-md-6">
                            <label for="name">{{__('Target URL')}}</label>
                            <x-UI.forms.input :required=false :readonly=$readonly name="target_url" :value="old('target_url',$image['target_url']??'')" :placeholder="__('Target URL')" />
                        </div>
                    </div>

                    <div class="form-group row mt-5">
                        <div class="offset-sm-4 col-sm-8">
                            @if (!$readonly)
                            <button type="submit" class="btn btn-primary waves-effect waves-light mr-1">
                                {{ ($edit ? __('Edit'):__('Add',['attr'=>' '])) }}
                            </button>
                            @endif
                            <a  href="{{route('images.index')}}"
                                    class="btn btn-secondary waves-effect waves-light">
                                {{__('Back')}}
                            </a>
                        </div>
                    </div>

                </form>
            </div>
        </div><!-- end col -->
    </div>
</x-layout.form>

resources/views/pages/images/index.blade.php
<x-layout.data-table title="{{__('Images')}}">
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <div class="d-inline-block mt-0 header-title mb-2">
                    <div class="float-left">
                        <a href="{{route('images.create')}}" class="btn btn-success waves-effect  waves-light">
                            <i class="fas fa-plus"></i>
                            {{__('Add Image')}}
                        </a>
                    </div>
                </div>
                <div class=" dt-responsive">
                    <table id="datatable" class="table table-bordered dt-responsive nowrap mt-5">
                        <thead>
                        <tr>
                            <th>{{__('Title')}}</th>
                            <th>{{__('image')}}</th>
                            <th>{{__('Target URL')}}</th>
                            <th data-orderable="false">{{__('Actions')}}</th>
                        </tr>
                        </thead>


                        <tbody>
                            @foreach ($images as $image)
                            <tr>
                                <td>{{$image->title}}</td>
                                <td><img src="{{asset($image->path)}}" alt="" height="100"></td>
                                <td>{{$image->target_url}}</td>
                                <td>
                                    <a href="{{route('images.show',['image'=>$image->id])}}" class="btn btn-info waves-effect btn-sm waves-light">
                                        <i class="far fa-eye"></i>
                                        {{__('View')}}
                                    </a>
                                    <a href="{{route('images.edit',['image'=>$image->id])}}" class="btn btn-warning waves-effect btn-sm waves-light">
                                        <i class=" fas fa-edit"></i>
                                        {{__('Edit')}}
                                    </a>
                                    <a  href="javascript" onclick="$('#modal-form').attr('action','{{route('images.destroy',['image'=>$image->id])}}');
                                        $('#delete-name').text('{{$image->title}}')""  data-toggle="modal" data-target="#modal" class="btn btn-danger  waves-effect btn-sm waves-light">
                                        <i class="fas fa-trash"></i>
                                        {{__('Delete')}}
                                    </a>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>

            </div>
        </div>
    </div>
    <x-UI.modal.scroll-modal :title="__('Delete',['attr'=>__('Image')])" :body="__('Image')"/>
</x-layout.data-table >